@import "variables";

#ryax-return {
  margin-top: 16px;
  margin-bottom: 16px;
}

input {
  width: 250px;
  margin-right: 8px;
  font-size: 1.5em;
  font-weight: 500;
  padding: 0;
}

#soap-wf-head {
  display: flex;
  justify-content: space-between;
}

#soap-name-edit {
  display: flex;
  align-items: center;
  margin-bottom: 16px;
  height: 34px;

  h2 {
    margin: 0;
  }
}

#soap-deploy {
  display: flex;
  align-items: flex-end;
  margin-bottom: 16px;

  p {
    margin: 0 26px 0 0;
    color: $grey5;
  }

  button {
    margin-left: 8px;
  }
}

section {
  width: 45%;
}

ol {
  position: relative;
  list-style: none;
  counter-reset: level1;
  padding: 0;
  margin: 0;

  &::before {
    content: "";
    display: block;
    position: absolute;
    width: 2px;
    top: 46px;
    bottom: 45px;
    left: 13px;
    background-color: $primary4;
  }

  li {
    display: flex;
    position: relative;
    z-index: 1;
    margin-bottom: 12px;

    &::before {
      content: counter(level1) " ";
      counter-increment: level1;
      display: flex;
      align-items: center;
      justify-content: center;
      line-height: 1;
      height: 28px;
      width: 28px;
      border: 2px solid $primary4;
      background: white;
      color: $primary4;
      border-radius: 100%;
      margin: 22px 8px 0 0;
      font-weight: 700;
      font-size: 0.8125rem;
      flex: none;
    }
  }
}

nz-card {
  flex: 1;
  cursor: pointer;
  border-radius: 8px;
  transition: background-color, border-color .5s;
  border-color: $grey3;
  overflow: hidden;
}

#add-step {
  nz-card {
    background-color: transparent;
    border-style: dashed;
    border-color: black;
    margin-left: 36px;
    text-align: center;
    transition: background-color 1s;

    &:hover {
      background-color: white;
    }
  }

  i {
    font-size: 1rem;
    margin-right: 8px;
  }
}

.soap-step-content {

  p {
    margin: 0;
  }

  .soap-step-title {
    font-size: 1.125rem;
    font-weight: 700;

    span {
      color: $grey5;
      margin-left: 8px;
      font-weight: normal;
      font-size: 0.6875rem;
    }
  }

  .soap-step-description {
    color: $grey7;
  }

  i {
    top: 50%;
    transform: translateY(-50%);
    font-size: 1.5rem;
    color: $orange5;
    position: absolute;
    right: 16px;
  }
}

#soap-wf-config {
  display: flex;
  justify-content: space-between;
  min-height: calc(100vh - 278px);


  nz-spin {
    width: 45%;
  }

  ryax-config-panel {
    width: 100%;
    min-height: calc(100vh - 278px);
  }
}

.soap-active {
  border-color: $primary4;
  box-shadow: 0 0 4px $primary5;
}

.ryax-module-icon {
  margin-right: 16px;
  position: relative;

  &::after {
    box-shadow: inset 0 0 5px $grey4;
    pointer-events: none;
    content: '';
    display: block;
    height: 100%;
    position: absolute;
    top: 0;
    width: 100%;
  }

  img {
    min-height: 72px;
    width: 72px;
  }
}

#ryax-error-tooltip {
  p, ul, li {
    margin: 0;
  }

  ul {
    padding-left: 1rem;
  }
}
